New and updated in 0.1.0
-
classHttpMethodEnum
Represents HTTP request methods.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/Enums/HttpMethodEnum.php:32 -
Checks if this method is idempotent.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/Enums/HttpMethodEnum.php:95 -
Checks if this method typically has a request body.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/Enums/HttpMethodEnum.php:106 -
{@inheritDoc}
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:182 -
methodResponse::toArray()
{@inheritDoc}
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:193 -
methodResponse::fromArray()
{@inheritDoc}
Used by 0 functions | Uses 1 function | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:206 -
methodResponse::hasHeader()
Checks if the response has a header.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:140 -
methodResponse::isSuccessful()
Checks if the response indicates success.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:151 -
methodResponse::getData()
Gets the response data as an array.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:165 -
methodResponse::__construct()
Constructor.
Used by 2 functions | Uses 1 function | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:53 -
Gets the HTTP status code.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:82 -
methodResponse::getHeaders()
Gets the response headers.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:93 -
methodResponse::getHeader()
Gets a specific header value.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:105 -
Gets header values as a comma-separated string.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:117 -
methodResponse::getBody()
Gets the response body.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:128 -
classResponse
Represents an HTTP response.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Response.php:25 -
methodRequest::withData()
Returns a new instance with the specified data.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:258 -
methodRequest::getData()
Gets the request data array.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:280 -
methodRequest::getJsonSchema()
{@inheritDoc}
Used by 0 functions | Uses 1 function | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:314 -
methodRequest::toArray()
{@inheritDoc}
Used by 0 functions | Uses 2 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:325 -
methodRequest::fromArray()
{@inheritDoc}
Used by 0 functions | Uses 2 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:351 -
methodRequest::getHeader()
Gets a specific header value.
Used by 1 function | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:158 -
Gets header values as a comma-separated string.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:170 -
methodRequest::hasHeader()
Checks if a header exists.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:182 -
methodRequest::getBody()
Gets the request body.
Used by 1 function | Uses 2 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:200 -
Gets the Content-Type header value.
Used by 1 function | Uses 1 function | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:229 -
methodRequest::withHeader()
Returns a new instance with the specified header.
Used by 1 function | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:243 -
methodRequest::getHeaders()
Gets the request headers.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:146 -
{@inheritDoc}
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/ApiKeyRequestAuthentication.php:88 -
classRequest
Represents an HTTP request.
Used by 0 functions | Uses 0 functions | Source: wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php:31